# $Revision: 1.3.2.2 $, $Date: 2003/04/28 12:51:54 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pdir	Speech
%define		pnam	speech_pm
Summary:	Speech::Synthesiser - speech output for Perl
Summary(pl):	Speech::Synthesiser - wyjcie mowy dla Perla
Name:		perl-speech
Version:	1.0
Release:	2
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}_%{version}.tgz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
Requires:	festival
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# note: there is only festival interface for now, so it isn't separated
# (and Requires: festival is in main package)

%description
This is a simple Perl extension module which provides a way for perl
programs to speak using a speech synthesiser. The interface is
intended to allow any synthesiser to be plugged in. An implementation
using the festival speech synthesiser is included.

%description -l pl
To jest prosty modu Perla udostpniajcy programom moliwo mwienia
przy uyciu syntezatora mowy. Interfejs jest zaprojektowany z myl o
moliwoci uycia dowolnego syntezatora. Doczona jest implementacja
uywajaca syntezatora festival.

%prep
%setup -q -n %{pnam}_%{version}
# workaround and fixes for broken file locations
%{__perl} -pi -e 's/Speech::Synthesiser/Speech/' Makefile.PL
%{__perl} -pi -e 's/Speech::Speech::Festival/Speech::Festival/' Speech/Festival.pm
%{__perl} -pi -e 's/use Festival/use Speech::Festival/' test.pl

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.txt
%{perl_sitelib}/Audio/*.pm
%{perl_sitelib}/Speech/*.pm
%{perl_sitelib}/Speech/Festival
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-speech.spec,v $
Revision 1.3.2.2  2003/04/28 12:51:54  ankry
- really rel++

Revision 1.3.2.1  2003/03/13 00:59:29  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/25 00:43:23  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:39:23  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/08/15 21:58:47  qboosh
- new

